package com.ym.mec.cms.service.impl;


import com.ym.mec.cms.dal.dao.SysConfigDao;
import com.ym.mec.cms.dal.entity.SysConfig;
import com.ym.mec.cms.service.SysConfigService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysConfigServiceImpl extends BaseServiceImpl<Long, SysConfig>  implements SysConfigService {
	
	@Autowired
	private SysConfigDao sysConfigDao;

	@Override
	public BaseDAO<Long, SysConfig> getDAO() {
		return sysConfigDao;
	}

	@Override
	public SysConfig findByParamName(String paramName) {
		return sysConfigDao.findByParamName(paramName);
	}
}
